# wxGridCellBoolEditor Class Reference
[Grid Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCellBoolEditor:
[legend]

## Detailed Description

Grid cell editor for boolean data.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellChoiceEditor, wxGridCellEnumEditor, wxGridCellFloatEditor, wxGridCellNumberEditor, wxGridCellTextEditor

## Public Member Functions

| wxGridCellBoolEditor ()
| Default constructor.

## Static Public Member Functions

static bool | IsTrueValue (const wxString &value)
| Returns true if the given value is equal to the string representation of the truth value we currently use (see UseStringValues()).
static void | UseStringValues (const wxString &valueTrue="1", const wxString &valueFalse=wxEmptyString)
| This method allows you to customize the values returned by GetValue() for the cell using this editor.

List of all members.

## Constructor & Destructor Documentation

wxGridCellBoolEditor::wxGridCellBoolEditor | ( |  | ) |

Default constructor.

## Member Function Documentation

static bool wxGridCellBoolEditor::IsTrueValue | ( | const wxString & | value | ) | `[static]`

Returns true if the given value is equal to the string representation of the truth value we currently use (see UseStringValues()).

static void wxGridCellBoolEditor::UseStringValues | ( | const wxString & | valueTrue = `"1"`,
|  | const wxString & | valueFalse = `wxEmptyString` |
| ) |  |  | `[static]`

This method allows you to customize the values returned by GetValue() for the cell using this editor.

By default, the default values of the arguments are used, i.e. `"1"` is returned if the cell is checked and an empty string otherwise.

|  | [ top ]